GNU bug report logs - #12335
[cp] "cp -s" cannot create symbolic link in parent dir

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: subratkumar <subratkumar.o@HIDDEN>; dated Mon, 27 Feb 2012 19:14:01 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Changed bug title to '[cp] "cp -s" cannot create symbolic link in parent dir' from 'Regarding the observed bugs in cp' Request was from era eriksson <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug 10900 cloned as bug 12335. Request was from era eriksson <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed tag(s) moreinfo. Request was from era eriksson <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10900 <at> debbugs.gnu.org:


Received: (at 10900) by debbugs.gnu.org; 31 Aug 2012 04:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 31 00:40:33 2012
Received: from localhost ([127.0.0.1]:58814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T7J1y-0005P2-DK
	for submit <at> debbugs.gnu.org; Fri, 31 Aug 2012 00:40:31 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:41911)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <era@HIDDEN>) id 1T7J1p-0005On-Ec
	for 10900 <at> debbugs.gnu.org; Fri, 31 Aug 2012 00:40:23 -0400
Received: from compute4.internal (compute4.nyi.mail.srv.osa [10.202.2.44])
	by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id 39DD62148A;
	Fri, 31 Aug 2012 00:39:07 -0400 (EDT)
Received: from web5.nyi.mail.srv.osa ([10.202.2.215])
	by compute4.internal (MEProxy); Fri, 31 Aug 2012 00:39:07 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
	messagingengine.com; h=message-id:from:to:cc:mime-version
	:content-transfer-encoding:content-type:subject:date:in-reply-to
	:references; s=smtpout; bh=Ag2I0KK0YteB8jCQ4bQV6TxPJME=; b=oDeZs
	1+iXz0GU1aIeK8+ji8Pkj5w/YvhWPU7Vf8JrOn+gABVdC8U7MvfpBvC/pbUk89Gu
	D7zrHGh2quFMrBoIH8osHsork309Vm5RGAooVc7B5UmjAe+JAYJ1wc5rsvRFPGm4
	sphQIcLnWjcCCI5YZm9Ld3Spfh/QGgg6a9RVbE=
Received: by web5.nyi.mail.srv.osa (Postfix, from userid 99)
	id 0C63F4C02AD; Fri, 31 Aug 2012 00:39:07 -0400 (EDT)
Message-Id: <503F72E3.8010000@HIDDEN>
X-Sasl-Enc: c9illXvWx1NMoxjqcXI+L8d9q9Fvjq2ftxtHvLRHX2Fj 1346387946
From: era eriksson <era@HIDDEN>
To: 10900 <at> debbugs.gnu.org
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/mixed; boundary="_----------=_1346387946107871";
	charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Re: Clarification re: Regarding the observed bugs in cp
Date: Fri, 31 Aug 2012 07:39:06 +0300
X-Delivered-To: iki@HIDDEN
In-Reply-To: <1346314115.7192.140661121424997.5126D631@HIDDEN>
References: <1346314115.7192.140661121424997.5126D631@HIDDEN>
Received: ARRAY(0x7f79ef442fb0)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10900
Cc: subratkumar <subratkumar.o@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

This is a multi-part message in MIME format.

--_----------=_1346387946107871
Content-Transfer-Encoding: 7bit
Content-Type: multipart/alternative; boundary="_----------=_1346387946107870";
 charset="utf-8"

This is a multi-part message in MIME format.

--_----------=_1346387946107870
Content-Transfer-Encoding: 7bit
Content-Type: text/plain

Forwarding a replyI only received in private.  Please keep the Cc: on
any followups.

From: subratkumar <subratkumar.o@HIDDEN>
To: era eriksson <era@HIDDEN>
Date: Thu, 30 Aug 2012 17:04

On Thursday 30 August 2012 01:38 PM, era eriksson wrote:

I stumbled across your recent bug report for cp
[1]http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10900
and I was wondering if you could follow up with a bit of additional
information.  What did you expect to happen, and what should be fixed in
order for cp to behave like you expect?

Thanks for your bug report!  I am but a mere bystander, but I appreciate
your effort.

/* era */


I expected :
1.cp -r dir1 dir1 (should not copy dir1 inside dir1) ,it was coming with an erro
r message but it was copying inside dir1 ,please check it inside dir1.
2.cp -s file1 ../dir1/ (symlinking out side the current directory should be allo
wed) but it came with error symlink restricted to  current directory.
Please have a look. Let me know about these.

--
------------------------------------------------
Thanks & regards
Subrat Kumar Ojha
PMG, Global Edge Software Ltd.
Mob - +91 - 9620262307

References

1. http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10900

--_----------=_1346387946107870
Content-Transfer-Encoding: 7bit
Content-Type: text/html

<!--/*SC*/DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"/*EC*/-->
<html><head><title></title><style type="text/css"><!-- body{padding:1ex;margin:0;font-family:sans-serif;font-size:small}a[href]{color:-moz-hyperlinktext!important;text-decoration:-moz-anchor-decoration}blockquote{margin:0;border-left:2px solid #144fae;padding-left:1em}blockquote blockquote{border-color:#006312}blockquote blockquote blockquote{border-color:#540000} --></style></head><body><div style="font-family: Arial; font-size: medium;" dir="ltr"><div class="moz-cite-prefix">
	Forwarding a replyI only received in private.&nbsp; Please keep the Cc: on any followups.</div>
<div class="moz-cite-prefix">
	<dl class="viewHeaders">
		<dt class="headerNameFrom">
			From: subratkumar &lt;subratkumar.o@HIDDEN&gt;</dt>
		<dt class="headerNameTo">
			To: era eriksson &lt;era@HIDDEN&gt;</dt>
		<dt class="headerNameDate">
			Date:<span id="dateHeader"> Thu, 30 Aug 2012 17:04</span></dt>
	</dl>
</div>
<div class="moz-cite-prefix">
	On Thursday 30 August 2012 01:38 PM, era eriksson wrote:</div>
<blockquote type="cite">
	<pre>
I stumbled across your recent bug report for cp
<a class="moz-txt-link-freetext" href="http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10900">http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10900</a>
and I was wondering if you could follow up with a bit of additional
information.  What did you expect to happen, and what should be fixed in
order for cp to behave like you expect?

Thanks for your bug report!  I am but a mere bystander, but I appreciate
your effort.

/* era */

</pre>
</blockquote>
<pre>
I expected :
1.cp -r dir1 dir1 (should not copy dir1 inside dir1) ,it was coming with an error message but it was copying inside dir1 ,please check it inside dir1.
2.cp -s file1 ../dir1/ (symlinking out side the current directory should be allowed) but it came with error symlink restricted to  current directory.
Please have a look. Let me know about these.
</pre>
<br />
<div class="moz-signature">
	--<br />
	<br />
	<div class="moz-signature">
		<font color="#000000">------------------------------------------------<br />
		Thanks &amp; regards<br />
		Subrat Kumar Ojha<br />
		PMG, Global Edge Software Ltd.<br />
		Mob - +91 - 9620262307</font></div>
</div>
<div>
	&nbsp;</div>
</div></body></html>
--_----------=_1346387946107870--


--_----------=_1346387946107871
Content-Disposition: attachment; filename="subratkumar_o.vcf"
Content-Id: <Generated-UjnMHKXs8jyuVzTeoVvS1Q@HIDDEN>
Content-Transfer-Encoding: base64
Content-Type: text/x-vcard; name="subratkumar_o.vcf"

YmVnaW46dmNhcmQKZm46U3VicmF0IEt1bWFyIE9qaGEKbjpPamhhO1N1YnJh
dCBLdW1hcgp0ZWw7d29yazpQTUcKdGVsO2NlbGw6KzkxLTk2MjAyNjIzMDcK
dmVyc2lvbjoyLjEKZW5kOnZjYXJkCgo=

--_----------=_1346387946107871--





Information forwarded to bug-coreutils@HIDDEN:
bug#10900; Package coreutils. Full text available.
Added tag(s) moreinfo. Request was from era eriksson <era@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10900 <at> debbugs.gnu.org:


Received: (at 10900) by debbugs.gnu.org; 30 Aug 2012 08:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 04:09:47 2012
Received: from localhost ([127.0.0.1]:57037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6zow-0004yk-GQ
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2012 04:09:46 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:55503)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <era@HIDDEN>) id 1T6zou-0004yc-6t
	for 10900 <at> debbugs.gnu.org; Thu, 30 Aug 2012 04:09:45 -0400
Received: from compute4.internal (compute4.nyi.mail.srv.osa [10.202.2.44])
	by gateway1.nyi.mail.srv.osa (Postfix) with ESMTP id 4743C20CA4;
	Thu, 30 Aug 2012 04:08:35 -0400 (EDT)
Received: from web5.nyi.mail.srv.osa ([10.202.2.215])
	by compute4.internal (MEProxy); Thu, 30 Aug 2012 04:08:35 -0400
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
	messagingengine.com; h=message-id:from:to:cc:mime-version
	:content-transfer-encoding:content-type:subject:date; s=smtpout;
	bh=hmdErOoCCiWHDEFdrMGdaRdsQMQ=; b=IrVeKX1ncFvMKyhenjxguZbCK9/0
	YVyS+GRgToOyKlhUp1eainmVLds/nRY84oLpj4yIKN+gEwrA8sPsNVs3bpchc+6e
	p5FJBxtLcVyLRZQ4mogW2c2ZyGkFUf9N75mu4vsBDyo3suCwAdOvp4FPY4kIigMi
	TLv9B0F124HUIM0=
Received: by web5.nyi.mail.srv.osa (Postfix, from userid 99)
	id 1EA594C0212; Thu, 30 Aug 2012 04:08:35 -0400 (EDT)
Message-Id: <1346314115.7192.140661121424997.5126D631@HIDDEN>
X-Sasl-Enc: 4f8wqTQDyvBakaWUXDnLt84RGrySyGRUkRctEzzd1lN6 1346314115
From: era eriksson <era@HIDDEN>
To: subratkumar.o@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Mailer: MessagingEngine.com Webmail Interface
Subject: Clarification re: Regarding the observed bugs in cp
Date: Thu, 30 Aug 2012 11:08:35 +0300
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10900
Cc: 10900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

I stumbled across your recent bug report for cp
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10900
and I was wondering if you could follow up with a bit of additional
information.  What did you expect to happen, and what should be fixed in
order for cp to behave like you expect?

Thanks for your bug report!  I am but a mere bystander, but I appreciate
your effort.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.




Information forwarded to bug-coreutils@HIDDEN:
bug#10900; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Feb 2012 19:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 14:13:21 2012
Received: from localhost ([127.0.0.1]:60137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S260e-0005xV-Cs
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 14:13:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39106)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S247g-00031y-8o
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 12:12:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S244p-0000Lq-Vn
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 12:09:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:41420)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S244p-0000Lf-Si
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 12:09:31 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50511)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S244j-0000rV-OY
	for bug-coreutils@HIDDEN; Mon, 27 Feb 2012 12:09:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S244d-0000J6-QZ
	for bug-coreutils@HIDDEN; Mon, 27 Feb 2012 12:09:25 -0500
Received: from gesmail.globaledgesoft.com ([119.82.106.22]:53598)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <subratkumar.o@HIDDEN>)
	id 1S244d-0000I9-G2
	for bug-coreutils@HIDDEN; Mon, 27 Feb 2012 12:09:19 -0500
Received: from [172.16.5.114] (unknown [172.16.5.114])
	by gesmail.globaledgesoft.com (Postfix) with ESMTP id 99B605880E3
	for <bug-coreutils@HIDDEN>; Mon, 27 Feb 2012 22:05:56 +0530 (IST)
Message-ID: <4F4BAEF7.7020006@HIDDEN>
Date: Mon, 27 Feb 2012 21:57:35 +0530
From: subratkumar <subratkumar.o@HIDDEN>
User-Agent: Thunderbird 2.0.0.4 (X11/20070604)
MIME-Version: 1.0
To: bug-coreutils@HIDDEN
Subject: Regarding the observed bugs in cp
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  1. cp -r a a cp: cannot copy a directory, `a',
	into itself, 
	`a/a' as per this the it is not allowable to copy a into a.But its
	doing
	2. cp -s b ../ cp: `../b': can make relative symbolic links only in
	current
	directory its a symbolic link and should not restrict to current
	directory.
	i have checked it in kernel 2.6.21.5 and 3.04 .Please check it and let
	me
	know if its corrected or not. Thanks and Regards Subrat Kumar Ojha
	[...] Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	2.7 RCVD_IN_PSBL           RBL: Received via a relay in PSBL
	[208.118.235.92 listed in psbl.surriel.com]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	-1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
	[score: 0.0000]
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 27 Feb 2012 14:13:19 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  1. cp -r a a cp: cannot copy a directory, `a', into itself,
    `a/a' as per this the it is not allowable to copy a into a.But its doing
   2. cp -s b ../ cp: `../b': can make relative symbolic links only in current
    directory its a symbolic link and should not restrict to current directory.
    i have checked it in kernel 2.6.21.5 and 3.04 .Please check it and let me
    know if its corrected or not. Thanks and Regards Subrat Kumar Ojha [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.7 RCVD_IN_PSBL           RBL: Received via a relay in PSBL
                             [208.118.235.92 listed in psbl.surriel.com]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]

1. cp -r a a
cp: cannot copy a directory, `a', into itself, `a/a'
as per this the it is not allowable to copy a into a.But its doing
2. cp -s b ../
cp: `../b': can make relative symbolic links only in current directory
its a symbolic link and should not restrict to current directory.
i have checked it in kernel 2.6.21.5 and 3.04 .Please check it and let 
me know if its corrected or not.
Thanks and Regards
Subrat Kumar Ojha





Acknowledgement sent to subratkumar <subratkumar.o@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#10900; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.